package com.wiki.standalone.moxkiriya.parser.inlineparser;

public interface WikiInlineParser {
	/**
	 * WikiのSyntaxを解析し、HTML形式の文字列に変換する。
	 * @param line
	 * @return 変換結果
	 */
	public String parse(String line);

	/**
	 * lineをkey前、key、key後に分割する。
	 * @param line
	 * @return 分割した文字列配列
	 */
	public String[] devideLine(String line);
}
